Bug 1193146 - Eclipse Luna 4.4 and m2e not working (x86_64)
Summary: Eclipse Luna 4.4 and m2e not working (x86_64)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-m2e-core
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 16:41 UTC by k-hon
Modified: 2015-03-24 15:06 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 11:16:06 UTC


Attachments (Terms of Use)
result of `eclipse -consolelog -debug -clean >& log` (620.06 KB, text/plain)
2015-02-16 16:41 UTC, k-hon
no flags Details
different output files that could be helpful for the analysis (45.30 KB, application/x-gzip)
2015-02-17 18:19 UTC, k-hon
no flags Details

Description k-hon 2015-02-16 16:41:30 UTC
Created attachment 992265 [details]
result of `eclipse -consolelog -debug -clean >& log`

Description of problem:
After installing m2e from eclipse or from yum, the maven features are not enabled, such as [main menu]>import maven project or [project menu]>configure>convert to maven project

Version-Release number of selected component (if applicable):
Luna SR1 (4.4.1)

How reproducible:
Install Eclipse then from menu; Install new Software:m2e
or
Install eclipse, then from yum, install eclipse-m2e*

Steps to Reproduce:
1. Install Eclipse
2. Install m2e (either using install new software, or using yum)

Actual results:
maven integration is not available in normal mode
and when running eclipse using the command:
eclipse -consolelog -debug -clean >& log
then maven integration visible on the menu but functionality is not available

Expected results:


Additional info:
I have followed the instrutions on :
http://fedoraproject.org/wiki/Eclipse#Fedora_Eclipse

Comment 1 Mikolaj Izdebski 2015-02-16 20:18:45 UTC
Not reproducible for me - M2E works fine on F21. I'll need additional information to solve this problem.

1) First I need to see if you have the following packages installed and what exact versions. Please provide output of the following command:
$ rpm -q log4j log4j12 eclipse-m2e-core eclipse-platform

2) While we're at there it may be useful to check if there are no dangling symlinks. Please provide output of the following command:
$ for p in $(find /usr/share/eclipse/dropins -type l); do [[ -e "$p" ]] || echo "$p"; done

Comment 2 k-hon 2015-02-16 20:54:44 UTC
Thank you
1) Output:
log4j-2.0-1.fc21.noarch
log4j12-1.2.17-8.fc21.noarch
eclipse-m2e-core-1.5.0-13.1.fc21.noarch
eclipse-platform-4.4.1-9.fc21.x86_64


2) Output
(nothing)

Comment 3 Mikolaj Izdebski 2015-02-17 09:52:54 UTC
That's expected result so it doesn't help much. But I'll try to investigate that.

Comment 4 Alexander Kurtakov 2015-02-17 10:14:46 UTC
Mixing rpm and update sites installations leads to weird problems from time to time. WOuld you please try rm -fr ~/.eclipse and try again with the eclipse-m2e rpm.

Comment 5 k-hon 2015-02-17 18:18:54 UTC
it my understanding is correct, the following actions done:
$ cp -r ~/.eclipse ~/.eclipse.bck
$ rm -rf ~/.eclipse
$ sudo yum install eclipse-m2e-plexus
$ rpm -q eclipse-m2e-core
(output) eclipse-m2e-core-1.5.0-13.1.fc21.noarch

Also, please find in attachment:
- error.ui: contains error message received from eclipse GUI when clicking on [project menu]>[maven]>[update project] or any m2e actions
- log: output of command: $ eclipse -consolelog -debug -clean >& log
- tmp.diff: diff file performed before removing .eclipse (command from fedora-eclipse page)
- tmp.diff.2: diff file performed after removing .eclipse

Comment 6 k-hon 2015-02-17 18:19:23 UTC
Created attachment 992845 [details]
different output files that could be helpful for the analysis

Comment 7 k-hon 2015-03-05 07:35:41 UTC
Is there any follow up on this yet unsolved issue please?

Comment 8 Mikolaj Izdebski 2015-03-09 09:32:11 UTC
No progress for now and I'm not sure how to proceed as this is not reproducible for me.

Comment 9 k-hon 2015-03-13 09:38:38 UTC
OK, what is the correct and safest way to install m2e plugin? 1) yum , 2) eclipse install new software 3) drop into eclipse plugin folder?

Comment 10 Mat Booth 2015-03-13 09:52:17 UTC
Unless the software is not actually available in any repository, I would recommend you only install software with "yum install"

(I.e. we can fix software that is distributed with Fedora much quicker than we can fixes into upstream projects.)

Comment 11 Mikolaj Izdebski 2015-03-20 11:16:06 UTC
I tried reproducing this in two other ways, but no success.

1. eclipse-m2e-smoke-test: http://koji.fedoraproject.org/koji/taskinfo?taskID=9278532
Result: all m2e bundles are resolved, no problems found.

2. New machine installed with Anaconda:
virt-install --name reproducer-rhbz1193146 --ram 1024 --disk size=10 --location http://ftp.icm.edu.pl/pub/Linux/fedora/linux/releases/21/Server/x86_64/os/ --extra-args ks=https://mizdebsk.fedorapeople.org/ks/reproducer-rhbz1193146
Result: m2e works

This problem is not reproducible, so closing this bug report. If you have reproducer then feel free to reopen it.

Comment 12 k-hon 2015-03-24 15:06:19 UTC
I uninstalled everything, re-installed then updated to eclipse-platform-4.4.2-2 then installed eclipse-m2e-core-1.5.0-13.1.fc21.noarch and it seems to work now!
Thank you for your time.


Note You need to log in before you can comment on or make changes to this bug.